# Run tests in check section
# https://github.com/fogleman/gg/issues/58
%bcond_with check
%global with_debug 1

%if 0%{?with_debug}
%global debug_package   %{nil}
%endif

%global goipath github.com/fogleman/gg

Name:           golang-github-fogleman-gg
Version:        1.1.1
Release:        1%{dist}
Summary:        Go Graphics - 2D rendering in Go with a simple API
License:        MIT
URL:            %{gourl}
Source0:        %{name}-%{version}.orig.tar.xz
BuildRequires:  compiler(go-compiler)

%description
%{summary}.


%package devel
Summary:        %{summary}
BuildArch:      noarch

BuildRequires:  golang-x-image-devel
BuildRequires:  golang-github-freetype-devel


%description devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%setup -n %{name}-%{version}
%forgeautosetup


%install
gofiles=$(find . %{?gofindfilter} -print)
%goinstall $gofiles


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%doc README.md
%license LICENSE.md


%changelog
* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.0-1
- Release 1.3.0

* Wed Mar 06 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.0-1
- Release 1.2.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2.git0e0ff3a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov  5 2018 mosquito <sensor.wen@gmail.com> - 1.1.0-1.20181106gite843337
- Initial package build
